
From: "Luiz Fernando N. Capitulino" <lcapitulino@prefeitura.sp.gov.br>

Zhenmin's checker tool <zli4@cs.uiuc.edu> detected this:

 9. /drivers/pci/hotplug/shpchp_ctrl.c, Line 1575:
 err("%s: Failed to disable slot, error code(%d)\n", __FUNCTION__, rc);

 Maybe change to:
 err("%s: Failed to disable slot, error code(%d)\n", __FUNCTION__,
 retval);

I think it is right because at line 1564, the slot is turned off, and in
this line (1575) is checked the status to see if we got an error; if so,
the error number is shown.  This number is in 'retval', not in 'rc' ('rc'
does have the return of configure_new_device()).


---

 25-akpm/drivers/pci/hotplug/shpchp_ctrl.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pci/hotplug/shpchp_ctrl.c~fix-wrong-var-used-in-hotplug-shpchp_ctrlc drivers/pci/hotplug/shpchp_ctrl.c
--- 25/drivers/pci/hotplug/shpchp_ctrl.c~fix-wrong-var-used-in-hotplug-shpchp_ctrlc	2004-05-07 01:57:06.328553752 -0700
+++ 25-akpm/drivers/pci/hotplug/shpchp_ctrl.c	2004-05-07 01:57:06.333552992 -0700
@@ -1573,7 +1573,7 @@ static u32 board_added(struct pci_func *
 
 			retval = p_slot->hpc_ops->check_cmd_status(ctrl);
 			if (retval) {
-				err("%s: Failed to disable slot, error code(%d)\n", __FUNCTION__, rc);
+				err("%s: Failed to disable slot, error code(%d)\n", __FUNCTION__, retval);
 				/* Done with exclusive hardware access */
 				up(&ctrl->crit_sect);
 				return retval;  

_
